<% local view, viewlibrary, page_info, session = ... 
require("htmlviewfunctions")
html = require("acf.html")
%>

<% htmlviewfunctions.displaycommandresults({"editsmtpentry", "delsmtpentry", "editsmtpfile", "delsmtpfile"}, session) %>
<% htmlviewfunctions.displaycommandresults({"createsmtpfile"}, session, true) %>

<H1>SMTP Proxy Status</H1>
<DL>
<% htmlviewfunctions.displayitem(view.value.version)
if view.value.version and view.value.version.errtxt and viewlibrary.check_permission("apk-tools/apk/install") then
%>
	<DT>Install package</DT>
	<DD><form action="<%= html.html_escape(page_info.script .. "/apk-tools/apk/install") %>" method="POST">
	<input type='hidden' name='package' value='<%= html.html_escape(view.value.version.name) %>'>
	<input class='submit' type='submit' name='submit' value='Install'></form></DD>
<% end %>
</DL>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("listsmtpentries")
	viewlibrary.dispatch_component("listsmtpfiles")
end %>
