<% local view, viewlibrary, page_info, session = ... 
require("htmlviewfunctions")
html = require("acf.html")
%>

<% htmlviewfunctions.displaycommandresults({"editsmtpentry", "delsmtpentry"}, session) %>

<H1>Interface Entries</H1>
<DL>
<TABLE>
	<TR style="background:#eee;font-weight:bold;">
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Action</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Interface</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">IP Address</TD>
		<TD style="white-space:nowrap;text-align:left;" class="header">Command Entry</TD>
	</TR>
<% for i,interface in ipairs(view.value) do %>
	<TR>
		<TD style="padding-right:20px;white-space:nowrap;">
		<% if viewlibrary.check_permission("editsmtpentry") then %>
			<%= html.link{value=page_info.script..page_info.prefix..page_info.controller.."/editsmtpentry?ipaddr="..(interface.ipaddr or interface.interface).."&redir="..page_info.orig_action, label="Edit "} %>
		<% end %>
		<% if viewlibrary.check_permission("delsmtpentry") then %>
			<%= html.link{value=page_info.script..page_info.prefix..page_info.controller.."/delsmtpentry?submit=true&ipaddr="..(interface.ipaddr or interface.interface), label="Delete "} %>
		<% end %>
		</TD>
		<TD style="padding-right:20px;white-space:nowrap;"><%= html.html_escape(interface.interface) %></TD>
		<TD style="padding-right:20px;white-space:nowrap;"><%= html.html_escape(interface.ipaddr) %></TD>
		<TD style="white-space:nowrap;"><%= html.html_escape(interface.cmd) %></TD>
	</TR>
<% end %>
</TABLE>
		
</DL>
